<?php 

class erpc_gp {
    
    public function inicializa_escala(){
        $evento = array( "id" => $id_escala
            ,"id_crip" => $id_crip
            ,"ds_evento" => ""
            ,"dt_inicio" => ""
            ,"dt_fim" => ""
        );
        return $evento;
    }
    
    public function funcoes_getAll(){
        global $conexao;
        $sql = "select * from erpc_gp_funcoes where st_ativo = 1";
        $result = mysqli_query($conexao, $sql);
        $funcoes = array();
        if(mysqli_num_rows($result)>0){
            while($row = mysqli_fetch_assoc($result)){
                $ds_funcao = $row['ds_funcao'];
                $funcao = array( "id" => $row['id']
                                ,"ds_funcao" => "$ds_funcao" 
                                ,
                );
                array_push($funcoes, $funcao);
            }
        }
        return $funcoes;
    }
    
    public function escala_get($id_escala){
        global $conexao;
        $sql = "select   id
                        ,ds_evento
                        ,date_format(dt_inicio, '%d/%m/%Y') dt_inicio
                        ,date_format(dt_fim, '%d/%m/%Y') dt_fim
                      from erpc_gp_escalas where id = $id_escala";
        $result = mysqli_query($conexao, $sql);
        $result = mysqli_fetch_array($result);
        $id_crip = base64_encode($result['id']);
        $evento = array( "id" => $result['id']
            ,"id_crip" => $id_crip
            ,"ds_evento" => $result['ds_evento']
            ,"dt_inicio" => $result['dt_inicio']
            ,"dt_fim" => $result['dt_fim']
        );
        return $evento;
    }
    
    public function escalas_getAll(){
        global $conexao;
        $sql = "select   id
                        ,ds_evento
                        ,date_format(dt_inicio, '%d/%m/%Y') dt_inicio
                        ,date_format(dt_fim, '%d/%m/%Y') dt_fim
                      from erpc_gp_escalas where st_ativo = 1";
        $escalas = array();
        $result = mysqli_query($conexao, $sql) or die(mysqli_error($conexao));
        if(mysqli_num_rows($result) > 0){
            while($row = mysqli_fetch_assoc($result)){
                $id_crip = base64_encode($row['id']);
                $evento = array( "id" => $row['id']
                                ,"id_crip" => $id_crip
                                ,"ds_evento" => $row['ds_evento']
                                ,"dt_inicio" => $row['dt_inicio']
                                ,"dt_fim" => $row['dt_fim']
                );
                array_push($escalas, $evento);
            }
        }
        return($escalas);
    }
    
    public function colaboradores_getAll(){
        global $conexao;
        $sql = "select   erpc_gp_colaboradores.id
                		,ds_nome
                		,1 as st_liberado
                		,'' as id_setor
                        ,'' as ds_setor
                		,id_funcao
                        ,ds_funcao
                	from erpc_gp_colaboradores
                    inner join erpc_gp_funcoes
                		on erpc_gp_colaboradores.id_funcao = erpc_gp_funcoes.id";
        $result = mysqli_query($conexao, $sql);
        $colaboradores = array();
        if(mysqli_num_rows($result) > 0){
            while($row = mysqli_fetch_assoc($result)){
                $colaborador = array( "id_colaborador" => $row['id']
                                     ,"ds_colaborador" => $row['ds_nome']
                                     ,"st_liberado" => $row['st_liberado']
                                     ,"id_setor" => $row['id_setor']
                                     ,"id_funcao" => $row['id_funcao']
                                     ,"ds_funcao" => $row['ds_funcao']
                );
                array_push($colaboradores, $colaborador);
            }
        }
        return $colaboradores;
    }
    
    public function insere_colaboradores_evento($id_evento, $colaboradores){
        
    }
    
    public function colaboradores_not_in_evento_getAll($id_evento){
        global $conexao;
        
        $sql = "select   erpc_gp_colaboradores.id
            			,ds_nome
            			,1 as st_liberado
            			,NULL as id_setor
                        ,NULL ds_setor
            			,id_funcao
            			,ds_funcao
            		from erpc_gp_colaboradores
            		inner join erpc_gp_funcoes
            			on erpc_gp_colaboradores.id_funcao = erpc_gp_funcoes.id
            		where erpc_gp_colaboradores.id not in 
            				(select id_colaborador from erpc_gp_escala_colaborador where id_escala = $id_evento)";
        $result = mysqli_query($conexao, $sql);
        $colaboradores = array();
        if(mysqli_num_rows($result) > 0){
            while($row = mysqli_fetch_assoc($result)){
                $colaborador = array( "id_colaborador" => $row['id']
                    ,"ds_colaborador" => $row['ds_nome']
                    ,"st_liberado" => $row['st_liberado']
                    ,"id_setor" => $row['id_setor']
                    ,"id_funcao" => $row['id_funcao']
                    ,"ds_funcao" => $row['ds_funcao']
                );
                array_push($colaboradores, $colaborador);
            }
        }
        return $colaboradores;
        /*
        $sql = "select   colab.id
                		,colab.ds_nome
                        ,1 as st_liberado
                        ,NULL as id_setor
                        ,colab.id_funcao
                        ,funcoes.ds_funcao
                	from erpc_gp_colaboradores colab
                		left join erpc_gp_escala_colaborador escal_colab
                		on escal_colab.id_colaborador =  colab.id
                        inner join erpc_gp_funcoes funcoes
                        on colab.id_funcao = funcoes.id
                	where colab.id not in (select   colab.id
                							from erpc_gp_colaboradores colab
                								left join erpc_gp_escala_colaborador escal_colab
                								on escal_colab.id_colaborador =  colab.id
                							where escal_colab.id_escala = $id_evento);";
         */
    }
    
    public function colaboradores_evento_getAll($id_evento){
        global $conexao;
        $sql = "select   colab.id
                		,colab.ds_nome
                        ,3 as st_liberado 
                        ,escal_colab.id_setor
                        ,ds_setor
                        ,escal_colab.id_funcao
                        ,funcoes.ds_funcao
                        ,escal_colab.dh_entrada
                        ,escal_colab.dh_saida
                	from erpc_gp_colaboradores colab
                		left join erpc_gp_escala_colaborador escal_colab
                		on escal_colab.id_colaborador =  colab.id
                        left join erpc_gp_funcoes funcoes
                        on escal_colab.id_funcao = funcoes.id
                        left join erpc_gp_setores setores
                        on escal_colab.id_setor = setores.id
                	where escal_colab.id_escala = $id_evento";
        
        $result = mysqli_query($conexao, $sql);
        $colaboradores = array();
        if(mysqli_num_rows($result) > 0){
            while($row = mysqli_fetch_assoc($result)){
                $colaborador = array( "id_colaborador" => $row['id']
                                     ,"ds_colaborador" => $row['ds_nome']
                                     ,"st_liberado" => $row['st_liberado']
                                     ,"id_setor" => $row['id_setor']
                                     ,"ds_setor" => $row['ds_setor']
                                     ,"id_funcao" => $row['id_funcao']
                                     ,"ds_funcao" => $row['ds_funcao']
                                     ,"dh_entrada" => $row['dh_entrada']
                                     ,"dh_saida" => $row['dh_saida']
                );
                array_push($colaboradores, $colaborador);
            }
        }
        return $colaboradores;
    }
    
    
    
    public function setores_getAll(){
        global $conexao;
        $sql = "select * from erpc_gp_setores where st_ativo = 1";
        $setores = array();
        $result = mysqli_query($conexao, $sql) or die(mysqli_error($conexao));
        if(mysqli_num_rows($result) > 0){
            while($row = mysqli_fetch_assoc($result)){
                $id = $row['id'];
                $ds_setor = $row['ds_setor'];
                $setor = array(  "id" => $row['id'] 
                                ,"ds_setor" => $row['ds_setor']
                );
                array_push($setores, $setor);
            }
        }
        return($setores);
    }
    
    /*
    function return_setores($id_colaborador, $id_escala){
        global $conexao;
        $sql = "select id_escala from erpc_gp_escala_colaborador 
                	where 	id_colaborador = $id_colaborador 
                		and id_escala = $id_escala;";
        $setores = array();
        $result = mysqli_query($conexao, $sql) or die(mysqli_error($conexao));
        if(mysqli_num_rows($result) > 0){
            while($row = mysqli_fetch_assoc($result)){
                $id = $row['id'];
                $ds_setor = $row['ds_setor'];
                $setor = array(  "id" => $row['id']
                    ,"ds_setor" => $row['ds_setor']
                );
                array_push($setores, $setor);
            }
        }
        return($setores);
    }
    */
    
    public function colaborador_create (){
        $colaborador = array(
             'id_colaborador' => ''
            ,'ds_colaborador' => ''
            ,'dh_entrada' => ''
            ,'dh_saida' => ''
            ,'id_status' => ''
            ,'id_cliente' => '' 
            ,'id_setor' => ''
            ,'id_funcao' => ''
            ,'vl_bonus' => ''
            ,'ds_bonus' => ''
            ,'vl_vale_transporte' => ''
            ,'vl_add_noturno' => ''
            ,'vl_hr_extra_diferenciada' => ''
        );
        return $colaborador;
    }
    
}
?>
















